<div class="row">
  <div class="col-md-10 font-header">
    กระบวนการทำงาน : {{this.name}}
    <label *ngIf="this.title === 'ทั้งหมด'" class="box-color">{{this.title}}</label>
    <label *ngIf="this.title === 'ใช้เวลาเกิน 60 วัน'" class="box-color1">{{this.title}}</label>
    <label *ngIf="this.title === 'ใช้เวลา 31 - 60 วัน'" class="box-color2">{{this.title}}</label>
  </div>
  <div class="col-md-2" style="text-align: right;">
    <img src="assets/img/x.png" class="close-btn" (click)="close()">
  </div>
</div>

<div class="table-responsives" style="margin: 35px;overflow: auto !important;">
  <table>
    <thead>
      <tr class="table-header">
        <th style="width: 185px;padding-left: 15px;">ชื่อผลิตภัณฑ์</th>
        <th style="width: 125px;">เลขที่ใบคำขอ</th>
        <th style="width: 224px;">วัตถุประสงค์การนำเสนอ</th>
        <th style="width: 172px;">ผู้บริหารฝ่าย / ทีม</th>
        <th style="width: 157px;">กลุ่มงาน</th>
        <th style="width: 160px;">ผู้ถืองาน</th>
        <th style="width: 133px;">วันที่ได้รับงาน</th>
        <th style="width: 133px;">วันที่ครบกำหนด</th>
        <th *ngIf="overDue==='no'" style="width: 105px;">จำนวนวันที่ใช้</th>
        <th *ngIf="overDue==='yes'" style="width: 105px;">จำนวนวันที่เลยกำหนด</th>
      </tr>
    </thead>

    <tbody>
      <tr *ngFor="let item of data">
        <td class="table-text-one" style="text-align: left; padding-left: 12px;">{{item.name}}</td>
        <td class="table-text-two" style="text-align: center;">{{item.no}}</td>
        <td class="table-text-three" style="text-align: center;">{{item.objective}}</td>
        <td class="table-text-four" style="text-align: center;">{{item.manager}}</td>
        <td class="table-text-five" style="text-align: center;">{{item.group}}</td>
        <td *ngIf="item.responsibleMan.length <= 2" class="table-text-six" style="text-align: center;">
          {{item.responsibleMan[0]}} {{item.responsibleMan[1]}}</td>
        <td *ngIf="item.responsibleMan.length > 2" class="table-text-six" style="text-align: center;">
          <label tooltip={{item.responsibleMan}}>{{item.responsibleMan[0]}}, {{item.responsibleMan[1]}} อื่น ๆ
          </label>
        </td>
        <td class="table-text-seven" style="text-align: center;">{{item.startDate}}</td>
        <td class="table-text-eight" style="text-align: center;">{{item.endDate}}</td>
        <td class="table-text-nine" style="text-align: center;">{{item.numberOfDate}}</td>
      </tr>
    </tbody>
  </table>
</div>